org.apache.ignite.ml.composition.boosting.convergence.median

## Class MedianOfMedianConvergenceChecker<K,V>

- java.lang.Object
- - org.apache.ignite.ml.composition.boosting.convergence.ConvergenceChecker<K,V>
  - - org.apache.ignite.ml.composition.boosting.convergence.median.MedianOfMedianConvergenceChecker<K,V>

- Type Parameters:
    `K` - Type of a key in upstream data.
    `V` - Type of a value in upstream data.
  All Implemented Interfaces:
    Serializable

      public class MedianOfMedianConvergenceChecker<K,V>
      extends ConvergenceChecker<K,V>

  Use median of median on partitions value of errors for estimating error on dataset. This algorithm may be less sensitive to
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MedianOfMedianConvergenceChecker(long sampleSize, IgniteFunction<Double,Double> lblMapping, Loss loss, DatasetBuilder<K,V> datasetBuilder, Preprocessor<K,V> preprocessor, double precision)` Creates an instance of MedianOfMedianConvergenceChecker.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Double` | `computeMeanErrorOnDataset(Dataset<EmptyContext,? extends FeatureMatrixWithLabelsOnHeapData> dataset, ModelsComposition mdl)` Compute error for given model on learning dataset.

    - ### Methods inherited from class org.apache.ignite.ml.composition.boosting.convergence.ConvergenceChecker

      `computeError, isConverged, isConverged`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MedianOfMedianConvergenceChecker

          public MedianOfMedianConvergenceChecker(long sampleSize,
                                                  IgniteFunction<Double,Double> lblMapping,
                                                  Loss loss,
                                                  DatasetBuilder<K,V> datasetBuilder,
                                                  Preprocessor<K,V> preprocessor,
                                                  double precision)

      Creates an instance of MedianOfMedianConvergenceChecker.
      Parameters:
        `sampleSize` - Sample size.
        `lblMapping` - External label to internal mapping.
        `loss` - Loss function.
        `datasetBuilder` - Dataset builder.
        `preprocessor` - Upstream preprocessor.
        `precision` - Precision.

  - ### Method Detail

    - #### computeMeanErrorOnDataset

          public Double computeMeanErrorOnDataset(Dataset<EmptyContext,? extends FeatureMatrixWithLabelsOnHeapData> dataset,
                                                  ModelsComposition mdl)

      Compute error for given model on learning dataset.
      Specified by:
        `computeMeanErrorOnDataset` in class `ConvergenceChecker<K,V>`
      Parameters:
        `dataset` - Learning dataset.
        `mdl` - Model.
      Returns:
        Error mean value.

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021